CREATE TABLE `anyInventory_alerts` (
  `id` int(11) default NULL,
  `item_ids` text,
  `title` varchar(255) default '',
  `field_id` int(11) default '0',
  `condition` varchar(32) default '==',
  `value` varchar(255) default '',
  `modified` timestamp NOT NULL,
  `time` timestamp NOT NULL default '0000-00-00 00:00:00',
  `expire_time` timestamp NOT NULL default '0000-00-00 00:00:00',
  `timed` int(11) default '0',
  `category_ids` text,
  UNIQUE KEY `id5` (`id`)
) TYPE=MyISAM;
CREATE TABLE `anyInventory_categories` (
  `id` int(11) default NULL,
  `parent` int(11) default '0',
  `name` varchar(32) default '',
  `auto_inc_field` int(11) default '0',
  UNIQUE KEY `id1` (`id`)
) TYPE=MyISAM;
CREATE TABLE `anyInventory_config` (
  `key` varchar(64) default '',
  `value` text,
  UNIQUE KEY `key` (`key`)
) TYPE=MyISAM;
INSERT INTO `anyInventory_config` VALUES ('AUTO_INC_FIELD_NAME','anyInventory ID'),('FRONT_PAGE_TEXT','This is the front page and top-level category of anyInventory.  You can <a href=\"docs/index.php\">read the documentation</a> for instructions on using anyInventory, or you can navigate the inventory by clicking on any of the subcategories below; any items in a category will appear below the subcategories.  You can tell where you are in the inventory by the breadcrumb links at the top of each category page.anyInventory ID.'),('LANG','@@LOCALE@@'),('PP_VIEW','0'),('PP_ADMIN','1'),('ITEM_VIEW','list'),('BAR_TEMPLATE','6'),('LABEL_PADDING','12'),('PAD_CHAR','0'),('BARCODE','C128C'),('ADMIN_USER_ID','1'),('NAME_FIELD_NAME','NAME');
CREATE TABLE `anyInventory_fields` (
  `id` int(11) default NULL,
  `name` varchar(64) default '',
  `input_type` varchar(30) default 'text',
  `values` text,
  `default_value` varchar(32) default '',
  `size` int(11) default '0',
  `categories` text,
  `importance` int(11) default '0',
  `highlight` int(11) default '0',
  UNIQUE KEY `id2` (`id`)
) TYPE=MyISAM;
CREATE TABLE `anyInventory_file_data` (
  `file_id` int(11) default NULL,
  `part_id` int(11) default NULL,
  `data` longtext,
  UNIQUE KEY `file_id_part_id` (`file_id`,`part_id`)
) TYPE=MyISAM;
CREATE TABLE `anyInventory_files` (
  `id` int(11) default NULL,
  `key` int(11) default NULL,
  `file_name` varchar(255) default NULL,
  `file_size` int(11) default NULL,
  `file_type` varchar(32) default NULL,
  `offsite_link` varchar(255) default NULL,
  UNIQUE KEY `id4` (`id`)
) TYPE=MyISAM;
CREATE TABLE `anyInventory_items` (
  `id` int(11) default NULL,
  `item_category` int(11) default '0',
  `name` varchar(64) default '',
  UNIQUE KEY `id3` (`id`)
) TYPE=MyISAM;
CREATE TABLE `anyInventory_users` (
  `id` int(11) default NULL,
  `username` varchar(32) default '',
  `password` varchar(255) default '',
  `usertype` varchar(32) default 'User',
  `categories_view` text,
  `categories_admin` text,
  UNIQUE KEY `id6` (`id`),
  UNIQUE KEY `username` (`username`)
) TYPE=MyISAM;
INSERT INTO `anyInventory_users` VALUES (1,'@@ADMIN_LOGIN@@','@@ADMIN_PASSWD@@','Administrator','a:0:{}','a:0:{}');
CREATE TABLE `anyInventory_values` (
  `item_id` int(11) default '0',
  `field_id` int(11) default '0',
  `value` text,
  UNIQUE KEY `item_id` (`item_id`,`field_id`)
) TYPE=MyISAM;
